Manifest-Version: 1.0
Bnd-LastModified: 1715669997714
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Content Page Editor Web
Bundle-SymbolicName: com.liferay.layout.content.page.editor.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.172.hotfix-5476-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.adaptive.media.content.transformer;version="2.0",com.liferay.adapt
 ive.media.content.transformer.constants;version="1.0",com.liferay.ada
 ptive.media.image.configuration;version="2.0",com.liferay.adaptive.me
 dia.image.media.query;version="1.0",com.liferay.adaptive.media.image.
 model;version="3.2",com.liferay.adaptive.media.image.service;version=
 "1.9",com.liferay.adaptive.media.image.url;version="1.0",com.liferay.
 asset.categories.item.selector;version="1.0",com.liferay.asset.catego
 ries.item.selector.criterion;version="1.0",com.liferay.asset.kernel;v
 ersion="2.1",com.liferay.asset.kernel.model;version="10.0",com.lifera
 y.asset.kernel.service;version="8.3",com.liferay.asset.kernel.service
 .persistence;version="10.1",com.liferay.asset.list.asset.entry.provid
 er;version="5.0",com.liferay.asset.list.model;version="4.0",com.lifer
 ay.asset.list.service;version="3.0",com.liferay.asset.util;version="4
 .0",com.liferay.counter.kernel.service;version="2.2",com.liferay.docu
 ment.library.kernel.service;version="11.4",com.liferay.document.libra
 ry.util;version="1.2",com.liferay.dynamic.data.mapping.exception;vers
 ion="2.7",com.liferay.dynamic.data.mapping.model;version="7.1",com.li
 feray.dynamic.data.mapping.service;version="4.0",com.liferay.expando.
 kernel.model;version="6.0",com.liferay.exportimport.kernel.staging;ve
 rsion="2.3",com.liferay.fragment.collection.filter;version="2.0",com.
 liferay.fragment.constants;version="3.0",com.liferay.fragment.contrib
 utor;version="6.0",com.liferay.fragment.entry.processor.helper;versio
 n="7.0",com.liferay.fragment.entry.processor.util;version="2.0",com.l
 iferay.fragment.exception;version="1.7",com.liferay.fragment.helper;v
 ersion="2.1",com.liferay.fragment.listener;version="3.0",com.liferay.
 fragment.model;version="3.4",com.liferay.fragment.processor;version="
 8.3",com.liferay.fragment.renderer;version="8.2",com.liferay.fragment
 .service;version="7.8",com.liferay.fragment.util.comparator;version="
 1.3",com.liferay.fragment.util.configuration;version="6.0",com.lifera
 y.frontend.token.definition;version="4.0",com.liferay.info.collection
 .provider;version="4.0",com.liferay.info.collection.provider.item.sel
 ector.criterion;version="2.0",com.liferay.info.display.url.provider;v
 ersion="2.0",com.liferay.info.exception;version="3.0",com.liferay.inf
 o.field;version="4.1",com.liferay.info.field.type;version="6.0",com.l
 iferay.info.filter;version="2.1",com.liferay.info.form;version="2.1",
 com.liferay.info.item;version="7.0",com.liferay.info.item.provider;ve
 rsion="4.0",com.liferay.info.item.provider.filter;version="1.0",com.l
 iferay.info.item.renderer;version="2.0",com.liferay.info.item.rendere
 r.template;version="1.0",com.liferay.info.list.provider.item.selector
 .criterion;version="2.0",com.liferay.info.list.renderer;version="3.0"
 ,com.liferay.info.localized;version="2.0",com.liferay.info.pagination
 ;version="1.1",com.liferay.info.permission.provider;version="2.0",com
 .liferay.info.search;version="2.1",com.liferay.item.selector;version=
 "4.10",com.liferay.item.selector.criteria;version="2.4",com.liferay.i
 tem.selector.criteria.file.criterion;version="1.2",com.liferay.item.s
 elector.criteria.image.criterion;version="1.1",com.liferay.item.selec
 tor.criteria.info.item.criterion;version="2.1",com.liferay.item.selec
 tor.criteria.url.criterion;version="1.0",com.liferay.item.selector.cr
 iteria.video.criterion;version="1.1",com.liferay.layout.adaptive.medi
 a;version="1.0",com.liferay.layout.content;version="2.0",com.liferay.
 layout.content.page.editor.sidebar.panel;version="2.0",com.liferay.la
 yout.converter;version="1.0",com.liferay.layout.display.page;version=
 "3.2",com.liferay.layout.importer;version="1.1",com.liferay.layout.it
 em.selector.criterion;version="1.4",com.liferay.layout.list.permissio
 n.provider;version="1.0",com.liferay.layout.list.retriever;version="4
 .1",com.liferay.layout.model;version="2.3",com.liferay.layout.page.te
 mplate.exception;version="2.0",com.liferay.layout.page.template.model
 ;version="7.0",com.liferay.layout.page.template.serializer;version="1
 .0",com.liferay.layout.page.template.service;version="5.3",com.lifera
 y.layout.page.template.util.comparator;version="1.1",com.liferay.layo
 ut.portlet.category;version="1.0",com.liferay.layout.responsive;versi
 on="4.0",com.liferay.layout.security.permission.resource;version="1.0
 ",com.liferay.layout.service;version="3.0",com.liferay.layout.util;ve
 rsion="10.2",com.liferay.layout.util.structure;version="10.3",com.lif
 eray.learn;version="1.1",com.liferay.mentions.strategy;version="1.1",
 com.liferay.mentions.util;version="1.1",com.liferay.object.model;vers
 ion="8.1",com.liferay.object.service;version="46.0",com.liferay.osgi.
 service.tracker.collections.list;version="3.0",com.liferay.petra.func
 tion;version="1.5",com.liferay.petra.string;version="1.7",com.liferay
 .portal.configuration.metatype.annotations;version="1.7",com.liferay.
 portal.configuration.metatype.bnd.util;version="3.0",com.liferay.port
 al.kernel.cache;version="14.0",com.liferay.portal.kernel.comment;vers
 ion="4.0",com.liferay.portal.kernel.editor.configuration;version="1.1
 ",com.liferay.portal.kernel.exception;version="13.2",com.liferay.port
 al.kernel.feature.flag;version="1.0",com.liferay.portal.kernel.image;
 version="10.0",com.liferay.portal.kernel.io.unsync;version="8.0",com.
 liferay.portal.kernel.json;version="12.1",com.liferay.portal.kernel.l
 anguage;version="11.0",com.liferay.portal.kernel.log;version="8.0",co
 m.liferay.portal.kernel.model;version="30.2",com.liferay.portal.kerne
 l.module.configuration;version="2.1",com.liferay.portal.kernel.portle
 t;version="26.0",com.liferay.portal.kernel.portlet.bridges.mvc;versio
 n="6.1",com.liferay.portal.kernel.portlet.configuration.icon;version=
 "5.0",com.liferay.portal.kernel.portlet.url.builder;version="2.0",com
 .liferay.portal.kernel.portletfilerepository;version="5.0",com.lifera
 y.portal.kernel.repository.model;version="11.2",com.liferay.portal.ke
 rnel.resource.bundle;version="1.0",com.liferay.portal.kernel.security
 .auth;version="6.1",com.liferay.portal.kernel.security.permission;ver
 sion="6.5",com.liferay.portal.kernel.security.permission.resource;ver
 sion="2.2",com.liferay.portal.kernel.service;version="24.1",com.lifer
 ay.portal.kernel.service.permission;version="5.0",com.liferay.portal.
 kernel.servlet;version="12.0",com.liferay.portal.kernel.theme;version
 ="10.5",com.liferay.portal.kernel.transaction;version="8.1",com.lifer
 ay.portal.kernel.upload;version="10.1",com.liferay.portal.kernel.util
 ;version="61.0",com.liferay.portal.kernel.util.comparator;version="3.
 1",com.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.ke
 rnel.workflow;version="19.0",com.liferay.portal.language,com.liferay.
 portal.util;version="50.0",com.liferay.portlet;version="9.0",com.life
 ray.product.navigation.control.menu;version="5.0",com.liferay.segment
 s;version="1.1",com.liferay.segments.configuration.provider;version="
 3.1",com.liferay.segments.constants;version="5.0",com.liferay.segment
 s.context;version="2.0",com.liferay.segments.manager;version="1.0",co
 m.liferay.segments.model;version="4.0",com.liferay.segments.service;v
 ersion="7.0",com.liferay.site.navigation.item.selector;version="1.0",
 com.liferay.site.navigation.item.selector.criterion;version="1.0",com
 .liferay.social.kernel.util;version="1.0",com.liferay.staging;version
 ="2.0",com.liferay.style.book.model;version="2.1",com.liferay.style.b
 ook.service;version="1.6",com.liferay.style.book.util;version="1.1",c
 om.liferay.style.book.util.comparator;version="1.0",com.liferay.tagli
 b.security;version="8.1",javax.portlet,javax.servlet,javax.servlet.ht
 tp,org.jsoup;version="1.15",org.jsoup.nodes;version="1.15",org.jsoup.
 select;version="1.15",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.content.page.editor.web.internal.a
 daptive.media,com.liferay.layout.content.page.editor.web.internal.ass
 et.model,com.liferay.layout.content.page.editor.web.internal.comment,
 com.liferay.layout.content.page.editor.web.internal.configuration,com
 .liferay.layout.content.page.editor.web.internal.constants,com.lifera
 y.layout.content.page.editor.web.internal.display.context,com.liferay
 .layout.content.page.editor.web.internal.editor.configuration,com.lif
 eray.layout.content.page.editor.web.internal.exception,com.liferay.la
 yout.content.page.editor.web.internal.listener,com.liferay.layout.con
 tent.page.editor.web.internal.mentions.strategy,com.liferay.layout.co
 ntent.page.editor.web.internal.model.listener,com.liferay.layout.cont
 ent.page.editor.web.internal.portlet,com.liferay.layout.content.page.
 editor.web.internal.portlet.action,com.liferay.layout.content.page.ed
 itor.web.internal.portlet.configuration.icon,com.liferay.layout.conte
 nt.page.editor.web.internal.product.navigation.control.menu,com.lifer
 ay.layout.content.page.editor.web.internal.segments,com.liferay.layou
 t.content.page.editor.web.internal.sidebar.panel,com.liferay.layout.c
 ontent.page.editor.web.internal.util,com.liferay.layout.content.page.
 editor.web.internal.util.layout.structure,com.liferay.layout.content.
 page.editor.web.internal.workflow
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/layout
 -content-page-editor-web";version:Version="3.0.172.hotfix-5476-7413",
 osgi.service;objectClass:List<String>="com.liferay.asset.kernel.model
 .AssetRendererFactory";uses:="com.liferay.asset.kernel.model",osgi.se
 rvice;objectClass:List<String>="com.liferay.fragment.listener.Fragmen
 tEntryLinkListener";uses:="com.liferay.fragment.listener",osgi.servic
 e;objectClass:List<String>="com.liferay.layout.adaptive.media.LayoutA
 daptiveMediaProcessor";uses:="com.liferay.layout.adaptive.media",osgi
 .service;objectClass:List<String>="com.liferay.layout.content.page.ed
 itor.sidebar.panel.ContentPageEditorSidebarPanel";uses:="com.liferay.
 layout.content.page.editor.sidebar.panel",osgi.service;objectClass:Li
 st<String>="com.liferay.layout.content.page.editor.web.internal.displ
 ay.context.ContentPageEditorDisplayContextProvider";uses:="com.lifera
 y.layout.content.page.editor.web.internal.display.context",osgi.servi
 ce;objectClass:List<String>="com.liferay.layout.content.page.editor.w
 eb.internal.util.AssetListEntryUsagesManager";uses:="com.liferay.layo
 ut.content.page.editor.web.internal.util",osgi.service;objectClass:Li
 st<String>="com.liferay.layout.content.page.editor.web.internal.util.
 ContentManager";uses:="com.liferay.layout.content.page.editor.web.int
 ernal.util",osgi.service;objectClass:List<String>="com.liferay.layout
 .content.page.editor.web.internal.util.FragmentCollectionManager";use
 s:="com.liferay.layout.content.page.editor.web.internal.util",osgi.se
 rvice;objectClass:List<String>="com.liferay.layout.content.page.edito
 r.web.internal.util.FragmentEntryLinkManager";uses:="com.liferay.layo
 ut.content.page.editor.web.internal.util",osgi.service;objectClass:Li
 st<String>="com.liferay.mentions.strategy.MentionsStrategy";uses:="co
 m.liferay.mentions.strategy",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.editor.configuration.EditorConfigContributor
 ";uses:="com.liferay.portal.kernel.editor.configuration",osgi.service
 ;objectClass:List<String>="com.liferay.portal.kernel.model.ModelListe
 ner";uses:="com.liferay.portal.kernel.model",osgi.service;objectClass
 :List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActio
 nCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.portlet.b
 ridges.mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet
 .bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.portlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.
 portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.kernel.portlet.configuration.icon.PortletConf
 igurationIcon";uses:="com.liferay.portal.kernel.portlet.configuration
 .icon",osgi.service;objectClass:List<String>="com.liferay.product.nav
 igation.control.menu.ProductNavigationControlMenuEntry";uses:="com.li
 feray.product.navigation.control.menu",osgi.service;objectClass:List<
 String>="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/editor))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter
 :="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/layout))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/product-navigation))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))"
 ,osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifer
 ay.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(
 uri=http://liferay.com/tld/util))",osgi.service;filter:="(objectClass
 =com.liferay.adaptive.media.content.transformer.ContentTransformerHan
 dler)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.adaptive.media.image.configuration.AMImageConfigurationHelper)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.adapti
 ve.media.image.media.query.MediaQueryProvider)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.adaptive.media.image.serv
 ice.AMImageEntryLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.adaptive.media.image.url.AMImageURLFactory
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.a
 sset.kernel.service.AssetTagLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.list.asset.entry.provide
 r.AssetListAssetEntryProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.asset.list.service.AssetListEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.asset.list.service.AssetListEntrySegmentsEntryRelLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.asset.
 list.service.AssetListEntryUsageLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.asset.util.AssetHelper)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.docum
 ent.library.kernel.service.DLAppService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.document.library.util.DLURLHelp
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .dynamic.data.mapping.service.DDMTemplateLinkLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.
 mapping.service.DDMTemplateLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.exportimport.kernel.staging.Sta
 ging)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.fragment.collection.filter.FragmentCollectionFilterRegistry)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.fragment
 .contributor.FragmentCollectionContributorRegistry)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.fragment.entry.proce
 ssor.helper.FragmentEntryProcessorHelper)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.fragment.helper.DefaultInputFr
 agmentEntryConfigurationProvider)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.fragment.helper.FragmentEntryLinkHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 fragment.listener.FragmentEntryLinkListenerRegistry)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.fragment.processor.
 FragmentEntryProcessorRegistry)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.fragment.processor.PortletRegistry)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.fragmen
 t.renderer.FragmentRendererController)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.fragment.renderer.FragmentRendere
 rRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.fragment.service.FragmentCollectionService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.fragment.service.Fra
 gmentCompositionService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.fragment.service.FragmentEntryLinkLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.fr
 agment.service.FragmentEntryLinkService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.fragment.service.FragmentEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.fragment.service.FragmentEntryService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.fragment.util.configura
 tion.FragmentEntryConfigurationParser)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.frontend.token.definition.Fronten
 dTokenDefinitionRegistry)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.info.display.url.provider.InfoEditURLProviderR
 egistry)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.info.item.InfoItemServiceRegistry)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.info.item.renderer.InfoItemRend
 ererRegistry)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.info.list.renderer.InfoListRendererRegistry)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.info.search.Info
 SearchClassMapperRegistry)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.item.selector.ItemSelector)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.layout.content.Layou
 tContentProvider)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.layout.content.page.editor.web.internal.display.contex
 t.ContentPageEditorDisplayContextProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.layout.content.page.editor.we
 b.internal.util.AssetListEntryUsagesManager)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.layout.content.page.editor.
 web.internal.util.ContentManager)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.layout.content.page.editor.web.interna
 l.util.FragmentCollectionManager)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.layout.content.page.editor.web.interna
 l.util.FragmentEntryLinkManager)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.layout.display.page.LayoutDisplayPagePr
 oviderRegistry)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.layout.importer.LayoutsImporter)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.layout.list.permission.pro
 vider.LayoutListPermissionProviderRegistry)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.layout.list.retriever.Layout
 ListRetrieverRegistry)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.layout.list.retriever.ListObjectReferenceFactoryR
 egistry)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.layout.page.template.serializer.LayoutStructureItemJSONSerializ
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .layout.page.template.service.LayoutPageTemplateCollectionLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 layout.page.template.service.LayoutPageTemplateCollectionService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.layout
 .page.template.service.LayoutPageTemplateEntryLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.layout.page.
 template.service.LayoutPageTemplateEntryService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.layout.page.template.se
 rvice.LayoutPageTemplateStructureLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.layout.page.template.serv
 ice.LayoutPageTemplateStructureRelLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.layout.page.template.ser
 vice.LayoutPageTemplateStructureService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.layout.portlet.category.Portlet
 CategoryManager)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.layout.security.permission.resource.LayoutContentModelR
 esourcePermission)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.layout.service.LayoutClassedModelUsageLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.layo
 ut.service.LayoutLocalizationLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.layout.util.LayoutCopyHelper)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.me
 ntions.util.MentionsUserFinder)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.comment.CommentManager)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.editor.configuration.EditorCon
 figContributor)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.image.ImageTool)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFacto
 ry)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.language.Language)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.portlet.PortletPreferenc
 esFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.portlet.PortletURLFactory)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.portletfi
 lerepository.PortletFileRepository)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.security.permission.Pe
 rmissionCheckerFactory)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.security.permission.ResourceAction
 s)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.security.permission.resource.ModelResourcePermission)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.ClassNameLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.GroupLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.LayoutLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.L
 ayoutRevisionLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.LayoutSetLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.PortletItemLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.service.Portle
 tLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.service.PortletPreferencesLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.ResourcePermissionLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Ro
 leLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.UserLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.WorkflowDefinitionLinkLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.permission.
 LayoutPermission)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.segments.SegmentsEntryRetrieve
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 segments.configuration.provider.SegmentsConfigurationProvider)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.segments.
 context.RequestContextMapper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.segments.service.SegmentsEntryLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.s
 egments.service.SegmentsEntryService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.segments.service.SegmentsExperienc
 eLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.segments.service.SegmentsExperienceService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.segments.service
 .SegmentsExperimentRelLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.segments.service.SegmentsExperimentR
 elService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.segments.service.SegmentsExperimentService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.staging.StagingGroup
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.style.book.service.StyleBookEntryLocalService)";effective:=activ
 e,osgi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.
 4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaPortlet;fil
 ter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;os
 gi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(versio
 n=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.adaptive.media.LayoutAdaptiveMediaProcessorImpl.xml,OSGI-IN
 F/com.liferay.layout.content.page.editor.web.internal.asset.model.Fra
 gmentEntryLinkAssetRendererFactory.xml,OSGI-INF/com.liferay.layout.co
 ntent.page.editor.web.internal.display.context.ContentPageEditorDispl
 ayContextProvider.xml,OSGI-INF/com.liferay.layout.content.page.editor
 .web.internal.editor.configuration.FragmentEntryLinkCommentEditorConf
 igContributor.xml,OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.editor.configuration.FragmentEntryLinkEditorConfigContribut
 or.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.e
 ditor.configuration.FragmentEntryLinkRichTextEditorConfigContributor.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.list
 ener.PortalCacheFragmentEntryLinkListener.xml,OSGI-INF/com.liferay.la
 yout.content.page.editor.web.internal.mentions.strategy.PageEditorCom
 mentMentionsStrategy.xml,OSGI-INF/com.liferay.layout.content.page.edi
 tor.web.internal.model.listener.FragmentEntryLinkModelListener.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.model.list
 ener.LayoutPageTemplateStructureModelListener.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.model.listener.LayoutPageTe
 mplateStructureRelModelListener.xml,OSGI-INF/com.liferay.layout.conte
 nt.page.editor.web.internal.model.listener.SegmentsExperimentModelLis
 tener.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.interna
 l.portlet.ContentPageEditorPortlet.xml,OSGI-INF/com.liferay.layout.co
 ntent.page.editor.web.internal.portlet.ContentPageToolbarPortlet.xml,
 OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.
 action.AddFragmentCompositionMVCActionCommand.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.portlet.action.AddFragmentE
 ntryLinkCommentMVCActionCommand.xml,OSGI-INF/com.liferay.layout.conte
 nt.page.editor.web.internal.portlet.action.AddFragmentEntryLinkMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.in
 ternal.portlet.action.AddFragmentEntryLinksMVCActionCommand.xml,OSGI-
 INF/com.liferay.layout.content.page.editor.web.internal.portlet.actio
 n.AddItemMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.pag
 e.editor.web.internal.portlet.action.AddPortletMVCActionCommand.xml,O
 SGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.a
 ction.AddSegmentsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.
 layout.content.page.editor.web.internal.portlet.action.ChangeMasterLa
 youtMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edi
 tor.web.internal.portlet.action.ChangeStyleBookEntryMVCActionCommand.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.port
 let.action.CreateLayoutPageTemplateEntryMVCActionCommand.xml,OSGI-INF
 /com.liferay.layout.content.page.editor.web.internal.portlet.action.D
 eleteFragmentEntryLinkCommentMVCActionCommand.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.portlet.action.DeleteSegmen
 tsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.
 page.editor.web.internal.portlet.action.DuplicateItemMVCActionCommand
 .xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.por
 tlet.action.DuplicateSegmentsExperienceMVCActionCommand.xml,OSGI-INF/
 com.liferay.layout.content.page.editor.web.internal.portlet.action.Ed
 itCollectionConfigurationMVCRenderCommand.xml,OSGI-INF/com.liferay.la
 yout.content.page.editor.web.internal.portlet.action.EditFragmentEntr
 yLinkCommentMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.
 page.editor.web.internal.portlet.action.EditFragmentEntryLinkMVCActio
 nCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inte
 rnal.portlet.action.GetAvailableImageConfigurationsMVCResourceCommand
 .xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.por
 tlet.action.GetAvailableListItemRenderersMVCResourceCommand.xml,OSGI-
 INF/com.liferay.layout.content.page.editor.web.internal.portlet.actio
 n.GetAvailableListRenderersMVCResourceCommand.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.portlet.action.GetAvailable
 TemplatesMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.p
 age.editor.web.internal.portlet.action.GetCollectionConfigurationMVCR
 esourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.we
 b.internal.portlet.action.GetCollectionFieldMVCResourceCommand.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.ac
 tion.GetCollectionFiltersMVCResourceCommand.xml,OSGI-INF/com.liferay.
 layout.content.page.editor.web.internal.portlet.action.GetCollectionI
 temCountMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.pa
 ge.editor.web.internal.portlet.action.GetCollectionMappingFieldsMVCRe
 sourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.portlet.action.GetCollectionSupportedFiltersMVCResourceComm
 and.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.
 portlet.action.GetCollectionVariationsMVCResourceCommand.xml,OSGI-INF
 /com.liferay.layout.content.page.editor.web.internal.portlet.action.G
 etEditCollectionConfigurationURLMVCResourceCommand.xml,OSGI-INF/com.l
 iferay.layout.content.page.editor.web.internal.portlet.action.GetExpe
 rienceDataMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.
 page.editor.web.internal.portlet.action.GetFileEntryURLMVCResourceCom
 mand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .portlet.action.GetFormFieldsMVCResourceCommand.xml,OSGI-INF/com.life
 ray.layout.content.page.editor.web.internal.portlet.action.GetFragmen
 tEntryInputFieldTypesMVCResourceCommand.xml,OSGI-INF/com.liferay.layo
 ut.content.page.editor.web.internal.portlet.action.GetFragmentEntryLi
 nkMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.edi
 tor.web.internal.portlet.action.GetInfoItemActionErrorMessageMVCResou
 rceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.in
 ternal.portlet.action.GetInfoItemFieldValueMVCResourceCommand.xml,OSG
 I-INF/com.liferay.layout.content.page.editor.web.internal.portlet.act
 ion.GetLayoutFriendlyURLMVCResourceCommand.xml,OSGI-INF/com.liferay.l
 ayout.content.page.editor.web.internal.portlet.action.GetLayoutPageTe
 mplateCollectionsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.portlet.action.GetMappingFieldsMVCRes
 ourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.
 internal.portlet.action.GetPageContentMVCResourceCommand.xml,OSGI-INF
 /com.liferay.layout.content.page.editor.web.internal.portlet.action.G
 etPortletsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.
 page.editor.web.internal.portlet.action.MarkItemForDeletionMVCActionC
 ommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.intern
 al.portlet.action.MoveFragmentEntryLinkMVCActionCommand.xml,OSGI-INF/
 com.liferay.layout.content.page.editor.web.internal.portlet.action.Pu
 blishLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.p
 age.editor.web.internal.portlet.action.PublishLayoutPageTemplateEntry
 MVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.
 web.internal.portlet.action.RestoreCollectionDisplayConfigMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.interna
 l.portlet.action.SaveVariantSegmentsExperienceMVCActionCommand.xml,OS
 GI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.ac
 tion.UnmarkItemsForDeletionMVCActionCommand.xml,OSGI-INF/com.liferay.
 layout.content.page.editor.web.internal.portlet.action.UpdateCollecti
 onConfigurationMVCActionCommand.xml,OSGI-INF/com.liferay.layout.conte
 nt.page.editor.web.internal.portlet.action.UpdateCollectionDisplayCon
 figMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edit
 or.web.internal.portlet.action.UpdateConfigurationValuesMVCActionComm
 and.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.
 portlet.action.UpdateFormItemConfigMVCActionCommand.xml,OSGI-INF/com.
 liferay.layout.content.page.editor.web.internal.portlet.action.Update
 FragmentPortletSetsSortConfigurationMVCActionCommand.xml,OSGI-INF/com
 .liferay.layout.content.page.editor.web.internal.portlet.action.Updat
 eFragmentsHighlightedConfigurationMVCActionCommand.xml,OSGI-INF/com.l
 iferay.layout.content.page.editor.web.internal.portlet.action.UpdateI
 temConfigMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.pag
 e.editor.web.internal.portlet.action.UpdateLayoutPageTemplateDataMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.
 internal.portlet.action.UpdatePortletsHighlightedConfigurationMVCActi
 onCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.int
 ernal.portlet.action.UpdateRowColumnsMVCActionCommand.xml,OSGI-INF/co
 m.liferay.layout.content.page.editor.web.internal.portlet.action.Upda
 teSegmentsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.layout.
 content.page.editor.web.internal.portlet.action.UpdateSegmentsExperie
 ncePriorityMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.p
 age.editor.web.internal.portlet.configuration.icon.PortletPermissions
 PortletConfigurationIcon.xml,OSGI-INF/com.liferay.layout.content.page
 .editor.web.internal.product.navigation.control.menu.InfoItemSelector
 ProductNavigationControlMenuEntry.xml,OSGI-INF/com.liferay.layout.con
 tent.page.editor.web.internal.sidebar.panel.BrowserContentPageEditorS
 idebarPanel.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.i
 nternal.sidebar.panel.CommentsContentPageEditorSidebarPanel.xml,OSGI-
 INF/com.liferay.layout.content.page.editor.web.internal.sidebar.panel
 .FragmentsContentPageEditorSidebarPanel.xml,OSGI-INF/com.liferay.layo
 ut.content.page.editor.web.internal.sidebar.panel.MappingContentPageE
 ditorSidebarPanel.xml,OSGI-INF/com.liferay.layout.content.page.editor
 .web.internal.sidebar.panel.PageContentPageEditorSidebarPanel.xml,OSG
 I-INF/com.liferay.layout.content.page.editor.web.internal.sidebar.pan
 el.PageDesignOptionsSidebarPanel.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.util.AssetListEntryUsagesManager.xml,OSG
 I-INF/com.liferay.layout.content.page.editor.web.internal.util.Conten
 tManager.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inte
 rnal.util.FragmentCollectionManager.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.util.FragmentEntryLinkManager.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /layout-content-page-editor-web

